package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ILogOperateService;
import cn.estsh.i3plus.pojo.platform.bean.LogOperate;
import cn.estsh.i3plus.pojo.platform.repository.LogOperateRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 操作日志服务接口实现
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 13:54
 * @Modify :
 **/
@Service
public class LogOperateServiceImpl implements ILogOperateService {
    public static final Logger LOGGER = LoggerFactory.getLogger(LogOperateServiceImpl.class);

    @Autowired
    public LogOperateRepository logOperateRDao;

    @Override
    public void insertLogOperate(LogOperate logOperate) {
        LOGGER.info("操作日志 LOG_ACTION :{}",logOperate);
        logOperateRDao.insert(logOperate);
    }

    @Override
    public void deleteLogOperateById(String id) {
        LOGGER.info("操作日志 LOG_ACTION id:{}",id);
        logOperateRDao.deleteById(Long.parseLong(id));
    }

    @Override
    public void updateLogOperate(LogOperate logOperate) {
        LOGGER.info("操作日志 LOG_ACTION :{}",logOperate);
        logOperateRDao.update(logOperate);
    }

    @Override
    public List<LogOperate> listLogOperate() {
        LOGGER.info("操作日志 LOG_ACTION list");
        return logOperateRDao.list();
    }

    @Override
    public LogOperate getLogOperateById(String id) {
        LOGGER.info("操作日志 LOG_ACTION id:{}",id);
        return logOperateRDao.getById(Long.parseLong(id));
    }
}
