package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysConfigService;
import cn.estsh.i3plus.pojo.platform.bean.SysConfig;
import cn.estsh.i3plus.pojo.platform.repository.SysConfigRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 系统参数服务接口实现
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 9:25
 * @Modify :
 **/
@Service
public class SysConfigServiceImpl implements ISysConfigService {
    public static final Logger LOGGER = LoggerFactory.getLogger(SysConfigServiceImpl.class);

    @Autowired
    private SysConfigRepository SysConfigRDao;

    @Override
    public void insertSysConfig(SysConfig sysConfig) {
        LOGGER.info("系统参数 SYS_CONFIG :{}",sysConfig);
        SysConfigRDao.insert(sysConfig);
    }

    @Override
    public void deleteSysConfigById(String id) {
        LOGGER.info("系统参数 SYS_CONFIG :{}",id);
        SysConfigRDao.deleteById(Long.parseLong(id));
    }

    @Override
    public void updateSysConfig(SysConfig sysConfig) {
        LOGGER.info("系统参数 SYS_CONFIG :{}",sysConfig);
        SysConfigRDao.update(sysConfig);
    }

    @Override
    public List<SysConfig> findSysConfigAll() {
        LOGGER.info("系统参数 SYS_CONFIG find-all");
        return SysConfigRDao.findAll();
    }

    @Override
    public SysConfig getSysConfigById(String Id) {
        LOGGER.info("系统参数 SYS_CONFIG id:{}",Id);
        return SysConfigRDao.getById(Long.parseLong(Id));
    }
}
