package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysFileService;
import cn.estsh.i3plus.pojo.platform.bean.SysFile;
import cn.estsh.i3plus.pojo.platform.repository.SysFileRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 文件资源服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 16:28
 * @Modify :
 **/
@Service
public class SysFileServiceImpl implements ISysFileService {
    public static final Logger LOGGER = LoggerFactory.getLogger(SysFileServiceImpl.class);

    @Autowired
    public SysFileRepository sysFileRDao;

    @Override
    public void insertSysFile(SysFile sysFile) {
        LOGGER.info("文件资源 SYS_FILE :{}",sysFile);
        sysFileRDao.insert(sysFile);
    }

    @Override
    public void deleteSysFileById(String id) {
        LOGGER.info("文件资源 SYS_FILE id:{}",id);
        sysFileRDao.deleteById(Long.parseLong(id));
    }

    @Override
    public void updateSysFile(SysFile sysFile) {
        LOGGER.info("文件资源 SYS_FILE :{}",sysFile);
        sysFileRDao.update(sysFile);
    }

    @Override
    public List<SysFile> listSysFile() {
        LOGGER.info("文件资源 SYS_FILE list");
        return sysFileRDao.list();
    }

    @Override
    public SysFile getSysFileById(String id) {
        LOGGER.info("文件资源 SYS_FILE id:{}",id);
        return sysFileRDao.getById(Long.parseLong(id));
    }
}
