package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysRoleService;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.platform.bean.SessionUser;
import cn.estsh.i3plus.pojo.platform.bean.SysRole;
import cn.estsh.i3plus.pojo.platform.repository.SysRoleRepository;
import cn.estsh.impp.framework.boot.exception.ImppExceptionBuilder;
import cn.estsh.impp.framework.boot.exception.ImppExceptionEnum;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 系统角色业务接口实现
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.779
 * @Modify      :
 **/
@Service
public class SysRoleServiceImpl implements ISysRoleService {

    public static final Logger LOGGER = LoggerFactory.getLogger(SysRoleServiceImpl.class);

    @Autowired
    private SysRoleRepository sysRoleRDao;

    @Override
    public void updateSysRole(SysRole sysRole) {
        LOGGER.info("系统角色 SYS_ROLE :{}", sysRole);
        sysRoleRDao.update(sysRole);
    }

    @Override
    public void updateSysRoleStatus(String id, int status, SessionUser user) {
        LOGGER.info("系统角色 SYS_MENU  id:{} status:{} user:{}", id,status,user);
        SysRole role = sysRoleRDao.getById(Long.parseLong(id));
        role.setRoleStatus(status);
        role.setModifyUser(user.getUserName());
        sysRoleRDao.update(role);

    }

    @Override
    public void deleteSysRoleById(String id) {
        LOGGER.info("系统角色 SYS_ROLE Key:{}", id);
        sysRoleRDao.deleteById(Long.parseLong(id));
    }


    @Override
    public SysRole insertSysRole(SysRole sysRole) {
        LOGGER.info("系统角色 SYS_ROLE :{}", sysRole);
        return sysRoleRDao.insert(sysRole);
    }

    @Override
    public List<SysRole> findSysRoleAll() {
        LOGGER.info("系统角色 SYS_ROLE find All");
        return sysRoleRDao.findAll();
    }

    @Override
    public SysRole getSysRoleById(String  id) {
        LOGGER.info("系统角色 SYS_ROLE find id:{}", id);
        return sysRoleRDao.getOne(Long.parseLong(id));
    }
}
