package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ITaskTimeService;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.platform.bean.SessionUser;
import cn.estsh.i3plus.pojo.platform.bean.SysMenu;
import cn.estsh.i3plus.pojo.platform.bean.TaskTime;
import cn.estsh.i3plus.pojo.platform.repository.TaskTimeRepository;
import cn.estsh.impp.framework.boot.exception.ImppExceptionBuilder;
import cn.estsh.impp.framework.boot.exception.ImppExceptionEnum;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 定时任务业务接口实现 
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:43.974
 * @Modify      :
 **/
@Service
public class TaskTimeServiceImpl implements ITaskTimeService {

    public static final Logger LOGGER = LoggerFactory.getLogger(TaskTimeServiceImpl.class);

    @Autowired
    private TaskTimeRepository taskTimeRDao;

    @Override
    public void updateTaskTime(TaskTime taskTime) {
        LOGGER.info("定时任务 TASK_TIMED :{}", taskTime);
        taskTimeRDao.update(taskTime);
    }

    @Override
    public void updateTaskTimeStatus(String id, int status, SessionUser user) {
        LOGGER.info("定时任务 SYS_MENU  id:{} status:{} user:{}", id,status,user);
        TaskTime taskTime = taskTimeRDao.getById(Long.parseLong(id));
        taskTime.setTaskStatus(status);
        taskTime.setModifyUser(user.getUserName());
        taskTimeRDao.update(taskTime);
    }

    @Override
    public void deleteTaskTimeById(String id) {
        LOGGER.info("定时任务 TASK_TIMED Key:{}", id);
        taskTimeRDao.deleteById(Long.parseLong(id));
    }

    @Override
    public TaskTime insertTaskTime(TaskTime taskTime) {
        LOGGER.info("定时任务 TASK_TIMED :{}", taskTime);
        return taskTimeRDao.insert(taskTime);
    }

    @Override
    public List<TaskTime> listTaskTime() {
        LOGGER.info("定时任务 TASK_TIMED find All");
        return taskTimeRDao.findAll();
    }

    @Override
    public TaskTime getTaskTimeById(String id) {
        LOGGER.info("定时任务 TASK_TIMED find id:{}", id);
        return taskTimeRDao.getOne(Long.parseLong(id));
    }
}
